cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/accounts/ACC0001/component/cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b/cco_6e1b3d9a2c4f4e7b8a5c1d2e3f4a6b8c" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.accounts.get_account_component_object(
"ACC0001",
"cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b",
"cco_6e1b3d9a2c4f4e7b8a5c1d2e3f4a6b8c",
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accounts.getAccountComponentObject(
'ACC0001',
'cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b',
'cco_6e1b3d9a2c4f4e7b8a5c1d2e3f4a6b8c',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accounts->getAccountComponentObject(
'ACC0001',
'cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b',
'cco_6e1b3d9a2c4f4e7b8a5c1d2e3f4a6b8c',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.accounts.accounts_dto.AccountsDto.AccountComponentObject;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<AccountComponentObject> response = client.accounts().getAccountComponentObject(
"ACC0001",
"cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b",
"cco_6e1b3d9a2c4f4e7b8a5c1d2e3f4a6b8c");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Accounts.GetAccountComponentObjectAsync(
"ACC0001",
"cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b",
"cco_6e1b3d9a2c4f4e7b8a5c1d2e3f4a6b8c");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accounts.getAccountComponentObject(
'ACC0001',
'cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b',
'cco_6e1b3d9a2c4f4e7b8a5c1d2e3f4a6b8c',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Accounts().GetAccountComponentObject(context.Background(), "ACC0001", "cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b", "cco_6e1b3d9a2c4f4e7b8a5c1d2e3f4a6b8c", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_component_object": {
"accounts": "<array>",
"attribute_groups": "<array>",
"attributes": "<array>",
"code": "<string>",
"component": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_by": "<unknown>",
"created_on": "<string>",
"custom_form": {
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"custom_objects": "<array>",
"href": "<string>",
"id": "<string>",
"items": "<array>",
"last_updated_by": "<unknown>",
"last_updated_on": "<unknown>",
"object": "<string>",
"orders": "<array>",
"parents": [
{
"email": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>"
}
],
"quotes": "<array>",
"restrictions": "<array>",
"status": "<string>",
"version": 123,
"workflow_data": "<array>",
"workflow_stage": "<unknown>",
"workflow_status": "<unknown>",
"workflow_status_uuid": "<unknown>"
}
}Accounts
Retrieve an account's component object
Returns one component object under an account, under custom_component_object.
GET
/
accounts
/
{account_id}
/
component
/
{component_id}
/
{component_object_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/accounts/ACC0001/component/cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b/cco_6e1b3d9a2c4f4e7b8a5c1d2e3f4a6b8c" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.accounts.get_account_component_object(
"ACC0001",
"cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b",
"cco_6e1b3d9a2c4f4e7b8a5c1d2e3f4a6b8c",
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accounts.getAccountComponentObject(
'ACC0001',
'cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b',
'cco_6e1b3d9a2c4f4e7b8a5c1d2e3f4a6b8c',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accounts->getAccountComponentObject(
'ACC0001',
'cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b',
'cco_6e1b3d9a2c4f4e7b8a5c1d2e3f4a6b8c',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.accounts.accounts_dto.AccountsDto.AccountComponentObject;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<AccountComponentObject> response = client.accounts().getAccountComponentObject(
"ACC0001",
"cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b",
"cco_6e1b3d9a2c4f4e7b8a5c1d2e3f4a6b8c");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Accounts.GetAccountComponentObjectAsync(
"ACC0001",
"cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b",
"cco_6e1b3d9a2c4f4e7b8a5c1d2e3f4a6b8c");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accounts.getAccountComponentObject(
'ACC0001',
'cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b',
'cco_6e1b3d9a2c4f4e7b8a5c1d2e3f4a6b8c',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Accounts().GetAccountComponentObject(context.Background(), "ACC0001", "cmp_4a7c2e9b1d3f4c8a9e6b2d1f3a5c7e9b", "cco_6e1b3d9a2c4f4e7b8a5c1d2e3f4a6b8c", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_component_object": {
"accounts": "<array>",
"attribute_groups": "<array>",
"attributes": "<array>",
"code": "<string>",
"component": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_by": "<unknown>",
"created_on": "<string>",
"custom_form": {
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"custom_objects": "<array>",
"href": "<string>",
"id": "<string>",
"items": "<array>",
"last_updated_by": "<unknown>",
"last_updated_on": "<unknown>",
"object": "<string>",
"orders": "<array>",
"parents": [
{
"email": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>"
}
],
"quotes": "<array>",
"restrictions": "<array>",
"status": "<string>",
"version": 123,
"workflow_data": "<array>",
"workflow_stage": "<unknown>",
"workflow_status": "<unknown>",
"workflow_status_uuid": "<unknown>"
}
}Name the component by its
cmp_ id and the object by its cco_ id. The object’s parents list the accounts it belongs to.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The account's id, such as ACC0001. Not its uuid.
The component's cmp_ id.
The component object's cco_ id.
Response
200 - application/json
The component object, under custom_component_object.
One component object.
Show child attributes
Show child attributes